package com.bailuntec.job;

import com.bailuntec.domain.entity.JobPointLog;
import com.bailuntec.support.PointJob;
import com.dangdang.ddframe.job.api.ShardingContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class SyncTransferCompleteJob extends PointJob {

    @Override
    public void executeJob(ShardingContext shardingContext, JobPointLog jobPointLog) {
        jobPointLog.setType(5);
        TransferDetailsServiceImpl.syncTransferDetails(jobPointLog);
    }
}
